Set up compliance profile
const url = 'https://api.ultimateteam.ai/api/v1/compliance/setup';const options = { method: 'POST', headers: {'X-API-Key': '<X-API-Key>', 'Content-Type': 'application/json'}, body: '{"industry":"example","jurisdictions":["example"],"physical_address":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.ultimateteam.ai/api/v1/compliance/setup \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <X-API-Key>' \ --data '{ "industry": "example", "jurisdictions": [ "example" ], "physical_address": "example" }'Initialize the compliance profile for the tenant.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Request body for setting up a tenant’s compliance profile.
Attributes:
jurisdictions: List of geographic jurisdictions to monitor
(e.g., ["California", "federal"]).
industry: The business’s industry for industry-specific compliance
(e.g., "food_service", "healthcare").
object
Examplegenerated
{ "industry": "example", "jurisdictions": [ "example" ], "physical_address": "example"}Responses
Section titled “ Responses ”Successful Response
Typed envelope for POST /setup.
object
Response body after setting up a compliance profile.
Attributes: tenant_id: The tenant the profile was created for. jurisdictions: Jurisdictions being monitored. industry: The configured industry. categories_monitored: Compliance categories being tracked. created_at: Date the profile was created.
object
Compliance categories being tracked
Profile creation date (ISO format)
Configured industry
Monitored jurisdictions
Tenant ID
Standard metadata attached to every API response.
object
Unique request identifier
Server timestamp of the response
Examplegenerated
{ "data": { "categories_monitored": [ "example" ], "created_at": "example", "industry": "example", "jurisdictions": [ "example" ], "tenant_id": "example" }, "meta": { "request_id": "example", "timestamp": "2026-04-15T12:00:00Z" }}Validation Error
object
object
object
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}